Remove Project Role
Removes the role from the project and on every resource it has a dependency. This includes project grants and user grants (role assignments).
Required permission:
project.role.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/RemoveProjectRole" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string", "roleKey": "string" }'{
"removalDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Projects
List Projects: List all matching projects. By default all projects of the instance that the caller has permission to read are returned. Make sure to include a limit and sorting for pagination. Required permission:
Update Project
Explore the Update Project operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.